Description

When loading a GPX, by default tracks, routes, and waypoints are loaded, even if empty. For the user it mey be difficult to understand

that a layer is present, with 0 geometries.

I suggest to avoid loading empty layers. A warning should be given to the user (either a notification "Layer not loaded because empty" or a

note on the dialog "Note: empty layers will not be loaded").

Seems easy to implement.

History

#1 - 2014-03-26 11:33 AM - Alexander Bruy

Just to make clear, are you talking about GPS Tools plugin or about loading GPX files using OGR provider?

#2 - 2014-03-26 04:32 PM - Giovanni Manghi

- Status changed from Open to Feedback

#3 - 2014-03-27 02:34 AM - Paolo Cavallini

- Status changed from Feedback to Open

GPS Tools plugin

#4 - 2017-01-02 01:40 AM - Giovanni Manghi

- Category changed from C++ Plugins to C++ plugins/GPS plugin

#5 - 2017-05-01 12:48 AM - Giovanni Manghi

- Easy fix? set to No

#6 - 2018-02-24 02:11 PM - Paolo Cavallini

- Description updated

Still true in QGIS 3
